#include "backgroundnode.h"

#include "glm/vec2.hpp"
#include "glm/vec3.hpp"

#include "mesh.h"
#include "phongmaterial.h"

BackGroundNode::BackGroundNode(glm::vec2 position,glm::vec2 dimension, glm::vec3 color, float opacity,float depth):
    MeshNode(nullptr,false)
{
    Mesh* mesh = new Mesh();
    mesh->addRectangle2D(position,dimension);
    PhongMaterial *mat = new PhongMaterial();
    mat->diffuse = color;
    mat->m_opacity = opacity;
    mesh->setMaterial(mat);
    mesh->setDepth(depth);
    mesh->initGL();
    m_geometry.mesh = mesh;
}
